package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_jobs的实体类
 */
@ApiModel(value = "base_jobs的实体类")
public class Jobs {
    @ApiModelProperty(value = "编号")
	private String id;
    @ApiModelProperty(value = "险种信息ID")
	private String definitionId;
    @ApiModelProperty(value = "名称")
	private String name;
    @ApiModelProperty(value = "详细信息")
	private String content;
    @ApiModelProperty(value = "状态")
	private String status;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "修改人")
	private String updateBy;
    @ApiModelProperty(value = "修改时间")
	private Date updateTime;

<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "编号")
		/**
>>>>>>> Stashed changes
	 *获取编号
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "险种信息ID")
		/**
>>>>>>> Stashed changes
	 *获取险种信息ID
	 */
    	public String getDefinitionId(){
		return definitionId;
	}
	
	/**
	 *设置险种信息ID
	 */
	public void setDefinitionId(String definitionId){
		this.definitionId = definitionId;
	}
<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "名称")
		/**
>>>>>>> Stashed changes
	 *获取名称
	 */
    	public String getName(){
		return name;
	}
	
	/**
	 *设置名称
	 */
	public void setName(String name){
		this.name = name;
	}
<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "详细信息")
		/**
>>>>>>> Stashed changes
	 *获取详细信息
	 */
    	public String getContent(){
		return content;
	}
	
	/**
	 *设置详细信息
	 */
	public void setContent(String content){
		this.content = content;
	}
<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "状态")
		/**
>>>>>>> Stashed changes
	 *获取状态
	 */
    	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态
	 */
	public void setStatus(String status){
		this.status = status;
	}
<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "是否删除")
		/**
>>>>>>> Stashed changes
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "创建人")
		/**
>>>>>>> Stashed changes
	 *获取创建人
	 */
    	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
<<<<<<< Updated upstream
	/**
=======
	@ApiModelProperty(value = "修改人")
		/**
>>>>>>> Stashed changes
	 *获取修改人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置修改人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取修改时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置修改时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
}