package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.Jobs;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface JobsService {
	Jobs get(String id);
	boolean exist(String id);
	int insert(Jobs model);
	int update(Jobs model);
	int delete(String id);
	List<Jobs> list();
	List<Jobs> findByDefinitionId(String definitionId);
	Page<Jobs> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}