package com.jpsoft.picc.modules.business.dao;

import com.jpsoft.picc.modules.business.entity.ApplicationPolicy;
import com.jpsoft.picc.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ApplicationPolicyDAO {
    int insert(ApplicationPolicy entity);

    int update(ApplicationPolicy entity);

    int exist(String id);

    ApplicationPolicy get(String id);

    int delete(String id);

    List<ApplicationPolicy> list();

    List<ApplicationPolicy> search(Map<String, Object> searchParams, List<Sort> sortList);
}