package com.jpsoft.picc.modules.sys.entity;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:sys_user的实体类
 */
@ApiModel(value = "系统用户")
public class User {
	private String id;
	private String userName;
	private String password;
	private String realName;
	private Date createTime;
	private Date updateTime;
	private Boolean delFlag;
	private String createBy;
	private String updateBy;
	private List<String> roles;
	/**
	 *获取用户编号
	 */
	@ApiModelProperty(value="用户编号")
	public String getId(){
		return id;
	}
	
	/**
	 *设置用户编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取用户名
	 */
	@ApiModelProperty(value="用户名")
	public String getUserName(){
		return userName;
	}
	
	/**
	 *设置用户名
	 */
	public void setUserName(String userName){
		this.userName = userName;
	}
		/**
	 *获取密码
	 */
	@ApiModelProperty(value="密码")
	public String getPassword(){
		return password;
	}
	
	/**
	 *设置密码
	 */
	public void setPassword(String password){
		this.password = password;
	}
		/**
	 *获取真实名称
	 */
	@ApiModelProperty(value="真实名称")
	public String getRealName(){
		return realName;
	}
	
	/**
	 *设置真实名称
	 */
	public void setRealName(String realName){
		this.realName = realName;
	}

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取删除标示
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置删除标示
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}

	public List<String> getRoles() {
		return roles;
	}

	public void setRoles(List<String> roles) {
		this.roles = roles;
	}
}