package com.jpsoft.picc.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;
import com.jpsoft.picc.modules.sys.entity.DataDictionary;

import java.util.List;
import java.util.Map;

public interface DataDictionaryService {
	DataDictionary get(String id);
	boolean exist(String id);
	int insert(DataDictionary model);
	int update(DataDictionary model);
	int delete(String id);
	String getName(String id);
	String getValue(String id);
	List<DataDictionary> list();
	List<Map<String, Object>> queryChildren(String parentId);
	Page<DataDictionary> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}