package com.jpsoft.picc.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_company_member的实体类
 */
@ApiModel(value = "base_company_member的实体类")
public class CompanyMember {
    @ApiModelProperty(value = "ID")
	private String id;
    @ApiModelProperty(value = "企业ID")
	private String companyId;
    @ApiModelProperty(value = "姓名")
	private String name;
    @ApiModelProperty(value = "证件类型")
	private String cardType;
    @ApiModelProperty(value = "证件编号")
	private String cardNo;
    @ApiModelProperty(value = "性别")
	private Boolean sex;
    @ApiModelProperty(value = "年龄")
	private Integer age;
    @ApiModelProperty(value = "行业ID")
	private String jobsId;
    @ApiModelProperty(value = "健康状态")
	private String healthStatus;
    @ApiModelProperty(value = "身份证附件")
	private String cardFiles;
    @ApiModelProperty(value = "状态")
	private String status;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	/**
	 *获取ID
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取企业ID
	 */
    	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置企业ID
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
	/**
	 *获取姓名
	 */
    	public String getName(){
		return name;
	}
	
	/**
	 *设置姓名
	 */
	public void setName(String name){
		this.name = name;
	}
	/**
	 *获取证件类型
	 */
    	public String getCardType(){
		return cardType;
	}
	
	/**
	 *设置证件类型
	 */
	public void setCardType(String cardType){
		this.cardType = cardType;
	}
	/**
	 *获取证件编号
	 */
    	public String getCardNo(){
		return cardNo;
	}
	
	/**
	 *设置证件编号
	 */
	public void setCardNo(String cardNo){
		this.cardNo = cardNo;
	}
	/**
	 *获取性别
	 */
    	public Boolean getSex(){
		return sex;
	}
	
	/**
	 *设置性别
	 */
	public void setSex(Boolean sex){
		this.sex = sex;
	}
	/**
	 *获取年龄
	 */
    	public Integer getAge(){
		return age;
	}
	
	/**
	 *设置年龄
	 */
	public void setAge(Integer age){
		this.age = age;
	}
	/**
	 *获取行业ID
	 */
    	public String getJobsId(){
		return jobsId;
	}
	
	/**
	 *设置行业ID
	 */
	public void setJobsId(String jobsId){
		this.jobsId = jobsId;
	}
	/**
	 *获取健康状态
	 */
    	public String getHealthStatus(){
		return healthStatus;
	}
	
	/**
	 *设置健康状态
	 */
	public void setHealthStatus(String healthStatus){
		this.healthStatus = healthStatus;
	}
	/**
	 *获取身份证附件
	 */
    	public String getCardFiles(){
		return cardFiles;
	}
	
	/**
	 *设置身份证附件
	 */
	public void setCardFiles(String cardFiles){
		this.cardFiles = cardFiles;
	}
	/**
	 *获取状态
	 */
    	public String getStatus(){
		return status;
	}
	
	/**
	 *设置状态
	 */
	public void setStatus(String status){
		this.status = status;
	}
	/**
	 *获取创建人
	 */
    	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	/**
	 *获取更新人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
	/**
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}