package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.TransactionRecord;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface TransactionRecordService {
	TransactionRecord get(String id);
	boolean exist(String id);
	int insert(TransactionRecord model);
	int update(TransactionRecord model);
	int delete(String id);
	List<TransactionRecord> list();
	Page<TransactionRecord> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}