package com.jpsoft.picc.modules.business.dao;

import com.jpsoft.picc.modules.business.entity.InsurancePolicy;
import com.jpsoft.picc.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface InsurancePolicyDAO {
    int insert(InsurancePolicy entity);

    int update(InsurancePolicy entity);

    int exist(String id);

    InsurancePolicy get(String id);

    int delete(String id);

    List<InsurancePolicy> list();

    List<InsurancePolicy> search(Map<String, Object> searchParams, List<Sort> sortList);
}