package com.jpsoft.picc.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.business.entity.InsuranceApplication;
import com.jpsoft.picc.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface InsuranceApplicationService {
    InsuranceApplication get(String id);

    boolean exist(String id);

    int insert(InsuranceApplication model);

    int update(InsuranceApplication model);

    int delete(String id);

    List<InsuranceApplication> list();

    Page<InsuranceApplication> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}